﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.Models.AdvancedPermissions.Edit_ReportsView>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Model.PageTitle %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<% using (Html.BeginForm())
	 { %>

<h2><%=Model.PageTitle%></h2>

<%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>

<div class="Section">
Name: <%=Html.TextBox("Name") %>
</div>

<div class="Section">
Parent Permission: Reports - View
</div>

<div class="Section">
			
	<div class="Item">
		<div><b>Reports:</b></div>
		<div>
			<%=Html.RadioButtonFor(m => m.ReportsRadio, "All", new { onChange = "checkListBox_Reports();" })%>All
			<%=Html.RadioButtonFor(m => m.ReportsRadio, "Selected", new { onChange = "checkListBox_Reports();" })%>Selected
		</div>
		<div><%=Html.ListBoxFor(m => m.Reports, Model.Reports_List) %></div>
	</div>
			
</div>

<div class="Section" style="padding-top:10px;"><input type="submit" name="Save" value="Save" /></div>

<% } %>

<script language="javascript" type="text/javascript">

	function checkListBox_Reports() {

		//ReportsRadio		
		var radioChecked = new String();
		radioChecked = $('input:radio[name=ReportsRadio]:checked').val();

		//disable/enable list-box
		var listBox = $('#Reports');
		if (radioChecked == 'All')
			listBox.attr('disabled', 'disabled');
		else
			listBox.attr('disabled', '');

	}

	$(document).ready(function () {
		checkListBox_Reports();		
	});

</script>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>
