﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<egTracker.Models.Schedule.EventForm>" %>

<script type="text/javascript">

	function onProjectChange() {
		var Project = document.getElementById("ProjectId");
		var PostBackDetails = document.getElementById("PostBackDetails");
		PostBackDetails.value = "onProjectChange";
		//alert(PostBackDetails.value)
		Project.form.submit();
	}

	$(function () {
		var id = '#WhenFromDate';
		$(id).datepicker();
		$(id).datepicker('option', { dateFormat: 'yy-mm-dd' });

		var value = '<%=Model.WhenFromDate %>';
		if (value.length > 0) $(id).datepicker('setDate', value);
	});

	$(function () {
		var id = '#WhenToDate';
		$(id).datepicker();
		$(id).datepicker('option', { dateFormat: 'yy-mm-dd' });

		var value = '<%=Model.WhenToDate %>';
		if (value.length > 0) $(id).datepicker('setDate', value);
	});
</script>

<table>

<tr>
<td><%=Model.TitleLabel %></td>
<td><%=Html.TextBox("Title") %></td>
</tr>

<tr>
<td><%=Model.WhenLabel %></td>
<td>
	<%=Html.TextBox("WhenFromDate", Model.WhenFromDate, new { style="width:90px;" })%> <%=Html.DropDownList("WhenFromHour", Model.WhenFromHour_List) %>:00
	<%=Model.ToLabel %>
	<%=Html.TextBox("WhenToDate", Model.WhenToDate, new { style="width:90px;" })%> <%=Html.DropDownList("WhenToHour", Model.WhenToHour_List) %>:00
</td>
</tr>

<tr>
<td><%=Model.ProjectLabel %></td>
<td><%=Html.DropDownList("ProjectId", Model.Project_List, new { onchange="onProjectChange()" })%></td>
</tr>

<tr>
<td><%=Model.AssignedToLabel %></td>
<td><%=Html.ListBox("AssignedToUserId", Model.AssignedTo_List) %></td>
</tr>

<tr>
<td>Notes</td>
<td><%=Html.TextArea("Description", new { style = "width:320px; height:60px;" })%></td>
</tr>

<tr>
<td colspan="2" style="text-align:right;"><input type="submit" value="<%=Model.SubmitLabel %>" /></td>
</tr>

</table>

<%=Html.Hidden("PostBackDetails") %>
