﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.Models.Schedule.Export>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Export
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Export</h2>

<% using (Html.BeginForm())
	 {%>

<div>
	<div style="float:left; margin-right:20px; margin-bottom:5px;">
		<%=Model.ProjectLabel%>: <%=Html.DropDownListFor(m => m.ProjectId, Model.Project_List, new { })%>
	</div>	
	<div style="float:left; margin-right:20px; margin-bottom:5px;">
		<%=Model.AssignedToLabel%>: <%=Html.DropDownListFor(m => m.AssignedToUserId, Model.AssignedTo_List, new { })%>
	</div>	
	<div style="float:left; margin-right:20px; margin-bottom:5px; clear:left;">
		<%=Model.FromLabel%>: <%=Html.TextBoxFor(m => m.From, new { style="width:90px;" })%>
	</div>
	<div style="float:left; margin-right:20px; margin-bottom:5px;">
		<%=Model.ToLabel%>: <%=Html.TextBoxFor(m => m.To, new { style="width:90px;" })%>
	</div>
	<div style="float:left; margin-right:20px; margin-bottom:5px;">
		Mode: <%=Html.DropDownListFor(m => m.ModeId, Model.Mode_List, new {}) %>
	</div>

	<div style="float:left; margin-right:20px;">
		Event Details: 
		<%=Html.CheckBoxFor(m => m.EventDetailsProject) %>Project
		<%=Html.CheckBoxFor(m => m.EventDetailsTitle) %>Title
		<%=Html.CheckBoxFor(m => m.EventDetailsUsers) %>Users
		<%=Html.CheckBoxFor(m => m.EventDetailsNotes) %>Notes
	</div>

</div>

<div style="clear:both; padding-top:20px;">
<input type="submit" value="<%=Resources.egTracker.ExportToExcel %>" />
</div>

<%} %>

<script type="text/javascript">
	
	$(function () {
		var id = '#From';
		$(id).datepicker();
		$(id).datepicker('option', { dateFormat: 'yy-mm-dd' });

		var value = '<%=Model.From %>';
		if (value.length > 0) $(id).datepicker('setDate', value);
	});

	$(function () {
		var id = '#To';
		$(id).datepicker();
		$(id).datepicker('option', { dateFormat: 'yy-mm-dd' });

		var value = '<%=Model.To %>';
		if (value.length > 0) $(id).datepicker('setDate', value);
	});
</script>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">

</asp:Content>
