﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<egTracker.FormViewModels.ProjectCustomFields.EditList>" %>

<div>

    <table border="0" cellpadding="0" cellspacing="0">
      <tr>
      <td><%=Resources.egTracker.Caption %></td>
      <td><%=Html.TextBox("Caption")%></td>
      </tr>
      <tr>
      <td><%=Resources.egTracker.Type %></td>
      <td><%=Html.DropDownList("TypeId", Model.TypesDropDown) %></td>
      </tr>
      <tr>
      <td><%=Resources.egTracker.Order %></td>
      <td><%=Html.TextBox("Order", Model.Order, new { style = "width:25px;" })%></td>
      </tr>              
          
      <tr>
      <td><%=Resources.egTracker.Values %></td>      
      <td>
        <% if (Model.ValuesDropDown.Count > 0)
           { %>
        <%=Html.DropDownList("Value", Model.ValuesDropDown, new { onChange = "onValueChange()" })%>
        <% } %>
        &nbsp;
        <%=Html.ActionLink("Edit", "EditListValues", new { id = Model.ProjectCustomFieldId }) %>
      </td>
      </tr>      

      
            
      
      
    </table>
     
  </div>
  
	<div>
	
	<div style=" margin:10px;">
	<b>Tickets</b>
	</div>

	<table>

	<tr>
		<td>Default value</td>
		<td><%=Html.TextBox("DefaultValue", Model.DefaultValue, new { style = "" })%></td>
	</tr>

	<tr>
      <td><%=Resources.egTracker.DetailsDisplay%></td>
      <td>
				<%=Html.DropDownList("DetailsDisplay", Model.DetailsDisplayDropDown)%>
				<%=Html.DropDownList("DetailsDisplayType", Model.DetailsDisplayTypeDropDown)%>
			</td>
  </tr>

	<tr>
		<td>Paste selected value as new comment</td>
		<td><%=Html.CheckBox("PasteSelectedValueAsNewComment") %></td>
	</tr>


	</table>

	</div>

	<div>
	
	<div style=" margin:10px;">
	<b>Maps</b>
	</div>

	<table>

	<tr>
      <td><%=Model.CaptionVisibility%></td>
      <td><%=Html.CheckBox("EnabledMaps", Model.EnabledMaps) %><%=Model.CaptionMaps%></td>
      </tr>

			<% if (Model.ValuesDropDown.Count > 0)
         { %>

      <tr>
      <td><%=Model.CaptionStartDate %></td>
      <td>
       <script type="text/javascript">
       	$(function () {
       		var id = '#StartDateTextBox';
       		$(id).datepicker();
       		$(id).datepicker('option', { dateFormat: 'yy-mm-dd' });
       		var value = '<%=Model.StartDateString %>';
       		if (value.length > 0)
       			$(id).datepicker('setDate', value);
       	});
	        </script>          
					<%=Html.TextBox("StartDateTextBox", Model.StartDateTextBox, new { style = "width:90px;", name = "StartDateTextBox" })%>
          
      </td>
      </tr>

      <tr>
      <td><%=Model.CaptionLogo %></td>
      <td><%=Html.DropDownList("Logo", Model.LogosDropDown)%></td>
      </tr>

      <tr>
      <td>
        <%=Model.CaptionAddress %>        
      </td>
      <td>
        <%=Html.TextBox("AddressTextBox", Model.AddressTextBox, new { style = "width:500px;", onblur = "geocodeAddress();" })%>
        <br /><br />
        <%=Html.TextBox("AddressLatitudeTextBox", Model.AddressLatitudeTextBox, new { style = "width:80px;" })%>
        <%=Html.TextBox("AddressLongitudeTextBox", Model.AddressLongitudeTextBox, new { style = "width:80px;" })%>
        <input type="button" value="<%=Model.CaptionRefresh %>" onclick="geocodeAddress();"; />
      </td>
      </tr>
     
      <tr>
      <td><%=Resources.egTracker.Details%></td>
      <td>                          
          <%=Html.TextArea("DetailsTextBox", new { rows = "5", cols = "100" })%>                  
      </td>
      </tr>
      <%} %>

	</table>

	</div>

  <div>
    <%=Html.Hidden("PostBackDetails") %>  
    <br />
    <% if (Model.EditMode)
      { %>                        
    <input type="submit" value="<%=Resources.egTracker.Save %>" />
    <% } else { %>
    <input type="submit" value="<%=Resources.egTracker.Add %>" />
    <% } %>    
  </div>
  
  <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
  <script type='text/javascript'>

    function onValueChange() {
      var Value = document.getElementById("Value");
      var PostBackDetails = document.getElementById("PostBackDetails");
      PostBackDetails.value = "onValueChange";
      //alert(PostBackDetails.value)
      Value.form.submit();
    }

    function geocodeAddress() {
      //address
      var addressTextBox = document.getElementById("AddressTextBox");
      var address = addressTextBox.value;

      //latitude 
      var addressLatitudeTextBox = document.getElementById("AddressLatitudeTextBox");

      //longitude
      var addressLongitudeTextBox = document.getElementById("AddressLongitudeTextBox");

      //geocode
      var response = false;
      var geocoder = new google.maps.Geocoder();
      geocoder.geocode({ 'address': address }, function (results, status) {
        if (status == google.maps.GeocoderStatus.OK) {
          var position = results[0].geometry.location;
          addressLatitudeTextBox.value = position.lat();
          addressLongitudeTextBox.value = position.lng();
          //alert(position);
        } else {
          addressLatitudeTextBox.value = '';
          addressLongitudeTextBox.value = '';
          alert("Geocode was not successful for the following reason: " + status + ", Address: " + address);
        }
        response = true;
      });
    }
        
</script>



  
    


