﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.TicketFormViewModel>" %>


<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Edit
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

		<h2>Edit</h2>
		
		<%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>

		<% Html.RenderPartial("TicketTopMenu"); %>        
		
		
		<% using (Html.BeginForm("Edit", "Tickets", new { id = Model.Ticket.TicketId }, FormMethod.Post, new { enctype = "multipart/form-data" }))
		 {%>

			 <% Html.RenderPartial("TicketDetailsLinks"); %>               

			 <% Html.RenderPartial("TicketForm"); %>

			 <% Html.RenderPartial("TicketDetailsLinks"); %>               
				
		<% } %>
								

		<fieldset>
			<legend><%=Resources.egTracker.Attachments %></legend>
						
			<div class="Section">        
				<table>
				
				<tr>
				<th><%=Resources.egTracker.Name %></th>        
				<th><%=Resources.egTracker.Size %></th>
				<th><%=Resources.egTracker.Action %></th>
				<th><%=Resources.egTracker.AddedOn %></th>
				<th><%=Resources.egTracker.AddedBy %></th>
				</tr>

				<% foreach (egTracker.FormViewModels.TicketFormViewModel.AttachedFile file in Model.TicketAttachments)
					 { %>
					 <tr>
					 <td>
						<a target="_blank" href="<%=ResolveUrl(string.Format("~/TicketAttachments/GetFile/{0}",file.Id)) %>"><img src="<%=ResolveUrl(string.Format("~/Images/ShellIcons/{0}",file.IconName)) %>" style="border:none;" /></a>
						<%=Html.ActionLink(file.Filename, "GetFile", "TicketAttachments", new { id = file.Id }, new { target="_blank" })%>
					 </td>
					 <td><%=file.LengthString %></td>
					 <td>
						<a target="_blank" href="<%=ResolveUrl(string.Format("~/TicketAttachments/GetFile/{0}",file.Id)) %>"><%=Resources.egTracker.View %></a>    
						<a target="_blank" href="<%=ResolveUrl(string.Format("~/TicketAttachments/DownloadFile/{0}",file.Id)) %>"><%=Resources.egTracker.Download %></a>    
						<% if (file.ActionDelete)
				 { %>

					 <%=Html.ActionLink(Resources.egTracker.Delete, "DeleteFile", "TicketAttachments", new { ticketId = Model.Ticket.TicketId, fileId = file.Id }, new { onclick = string.Format("javascript:return confirm('Are you sure you want to delete {0}?');", file.Filename) })%>				 		
				 <% } %> 
					 </td>
					 <td><%=file.CreatedOn %></td>
					 <td><%=file.CreatedByUsername %></td>
					 </tr>
				<% } %>        
				</table>   
			</div>                                                
		</fieldset>                                                           
										
</asp:Content>